<?php
/*Skrypt pochodzi z ksi±¿ki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function antyspam($text, $font, $size)
{
  $arr = imagettfbbox($size, 0, $font, $text);
  $width = abs($arr[2] - $arr[0]) + 5;
  $height = abs($arr[1] - $arr[7]) + 1;
  $img = imagecreatetruecolor($width, $height);
  $white = imagecolorallocate($img, 255, 255, 255);
  $black = imagecolorallocate($img, 0, 0, 0);

  imagefill($img, 0, 0, $white);
  imagettftext($img, $size, 0, 0, $height - 5, $black, $font, $text);

  imagejpeg($img);
  imagedestroy($img);
}

if(isset($_GET['name']) && isset($_GET['domain'])){
  antyspam("{$_GET['name']}@{$_GET['domain']}", "arial.ttf", 11);
}

?>
